Subject: Re: [1/3] powerpc/64s: tool to flag direct branches from unrelocated interrupt vectors

From: Michael Ellerman <[email-masked]>
Date: Tue, 30 May 2017 19:11:19 +1000 (AEST)

On Thu, 2017-05-11 at 17:40:38 UTC, Nicholas Piggin wrote:
> Direct banches from code below __end_interrupts to code above
> __end_interrupts when built with CONFIG_RELOCATABLE are disallowed
> because they will break when the kernel is not located at 0.
> 
> Sample output:
> 
>     WARNING: Unrelocated relative branches
>     c000000000000118 bl-> 0xc000000000038fb8 <pnv_restore_hyp_resource>
>     c00000000000013c b-> 0xc0000000001068a4 <kvm_start_guest>
>     c000000000000148 b-> 0xc00000000003919c <pnv_wakeup_loss>
>     c00000000000014c b-> 0xc00000000003923c <pnv_wakeup_noloss>
>     c0000000000005a4 b-> 0xc000000000106ffc <kvmppc_interrupt_hv>
>     c000000000001af0 b-> 0xc000000000106ffc <kvmppc_interrupt_hv>
>     c000000000001b24 b-> 0xc000000000106ffc <kvmppc_interrupt_hv>
>     c000000000001b58 b-> 0xc000000000106ffc <kvmppc_interrupt_hv>
> 
> Signed-off-by: Balbir Singh <[email-masked]>
> Signed-off-by: Nicholas Piggin <[email-masked]>

Series applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/4ea80652dc75482dca1739762075dd

cheers